PRAYER(8)

NAME
prayer - standalone IMAP-based webmail server

SYNOPSIS
prayer [--config-file file] [[--config-option name=value] ...] [--foreground | --disable-prefork] [--disable-session | -- session-options ...]

DESCRIPTION
prayer is the normal frontend daemon in the Prayer Webmail system. It is a simple HTTP server and proxy that serves icons and other static files, but firstly and foremostly forwards requests to the correct backend daemons based on session IDs passed either in cookies or as part of the URL.

The master daemon normally preforks a number of child processes that each will serve a configurable number of requests. The total number of child processes is limited to prevent denial of service attacks.

prayer accepts the following command-line options:

--config-file file
    Reads configuration from file instead of the default.

--config-option name=value
    Sets (overrides) the configuration option name to value. Any number of options can be specified in this manner.

--foreground
    Debug mode. Run a single process in the foreground.

--disable-prefork
    Disable preforking. The master daemon will listen for connections on the configured ports and spawn child processes one at a time.

--disable-session
    Do not start the session server, prayer-session(8).

--  End of prayer options; remaining options will be passed to prayer-session(8).

ENVIRONMENT

PRAYER_CONFIG_FILE
    Can be set to specify the configuration file to use.

PRAYER_HOSTNAME
    Local hostname. Overrides the hostname setting in the configuration file as well as on the command line.

FILES
/usr/local/prayer/etc/prayer.cf
    Default configuration file.
/usr/local/prayer/icons/
    Location of the standard icons used by the interface.
/usr/local/prayer/static/
    Directory containing other static files; currently only CSS files.
/var/spool/prayer/sockets/
    Pre-configured location of sockets for frontend to backend communication.

SEE ALSO
prayer-session(8), prayer.cf(5)

AUTHORS
This manual page was put together by -nosplit Magnus Holmgren <holmgren@debian.org> using documentation written by David Carter <dpc22@cam.ac.uk>.